Bug 486896 - PHP-DBA function dba_open results in Driver initialization failed using db4
PHP-DBA function dba_open results in Driver initialization failed using db4
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 20:22 EST by John Shreve
Modified: 2009-12-18 03:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:00:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Shreve 2009-02-22 20:22:07 EST
Description of problem: Using php-dba function dba_open with a db4 database results in error  "Driver initialization failed for handler: db4"  


Version-Release number of selected component (if applicable): 


How reproducible:


Steps to Reproduce:
1.  Create test.php  php script as follows:

<?php
$id = dba_open("test_dba", "c", "db4");
?>

Note: file test_dba does not exist at this point

2.  In bash shell execute test script by entering
    "php test.php

  
  
Actual results:

Executing test.php script results in error:
PHP Warning:  dba_open(test_dba,c): Driver initialization failed for handler: db4

Expected results:

File test_dba should be created, since it does not exist.
If the file existed, the database should opened for read/write. 

Additional info:

All packages installed by yum.
Installed versions of relevant packages are:

php - 5.2.6.5
php-dba  - 5.2.6.5
db4   - 4.2.25-7.fc10
kernel - 2.6.27.15-170.2.24.fc10.i686.PAE

platform -  AMD Phenom 9750 Quad core processor
            6gb PC6400 memory
Comment 1 Will 2009-03-26 20:57:43 EDT
Here is a report on PHP's bug forum
http://bugs.php.net/bug.php?id=45266&edit=1
Comment 2 Remi Collet 2009-03-29 04:02:56 EDT
Please try php 5.2.8 available in updates-testing (or 5.2.9 in rawhide).

+
Comment 3 Bug Zapper 2009-11-18 06:11:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 03:00:42 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.